
#include <device.h>


uint8 flag = 0; 
unsigned char j = 50;				
uint32 timerperiod; 
uint32 current,yeni;
int dakika = 1;
int dakika_old, dakika_;
#define ON           (1)
#define OFF          (0)
#define NO_FINGER    (0xFF)

void main()
{
    uint8 statusButton0 = OFF;
    uint8 statusButton1 = OFF;
	uint8 statusButton2 = OFF;

	isr_1_Start();	
	isr_1_ClearPending();

	
    CYGlobalIntEnable; 

    LCD_Start();
    LCD_Position(0,0);
    LCD_PrintString("Btn0 Btn1 Dakika");
	LCD_Position(1, 10);

	Pin_Output_Write(OFF);
	dakika_old = dakika_;

    CapSense_Start();
    CapSense_InitializeAllBaselines();
    CapSense_ScanEnabledWidgets();
	


    while(1)
    {
      
        if(!CapSense_IsBusy())
        {
         
            CapSense_UpdateEnabledBaselines();
            CapSense_ScanEnabledWidgets();
        
		
            statusButton0 = CapSense_CheckIsWidgetActive(CapSense_BUTTON0__BTN);
            statusButton1 = CapSense_CheckIsWidgetActive(CapSense_BUTTON1__BTN);
 			statusButton2 = CapSense_CheckIsWidgetActive(CapSense_BUTTON2__BTN);
			
            
            LCD_Position(1,0);
////////////////////////////////****************************TİMER UP************************//////////////////////////////////////////////
            if( statusButton0 == ON )
            {
                LCD_PrintString("On ");
				dakika--;
				if(dakika <=1)
					dakika =1;				

				LCD_Position(1, 6);
				LCD_PrintString("  ");			
				LCD_Position(1, 6);
				LCD_PrintNumber(dakika);
				dakika_old = dakika;
				CyDelay(100u);
            }
            else
            {
                LCD_PrintString("Off");
//				Pin_1_Write(OFF);
            }
////////////////////////////////****************************TİMER UP************************//////////////////////////////////////////////
            
            LCD_Position(1,5);
////////////////////////////////****************************TİMER DOWN************************//////////////////////////////////////////////
            if( statusButton1 == ON )
            {
                LCD_PrintString("On ");
				dakika++;
				if(dakika >= 120)
					dakika=120;				
			
				LCD_Position(1, 6);
				LCD_PrintString("  ");			
				LCD_Position(1, 6);
				LCD_PrintNumber(dakika);
				dakika_old = dakika;
				CyDelay(100u);
            }
           
////////////////////////////////****************************TİMER DOWN************************//////////////////////////////////////////////

////////////////////////////////****************************TİMER SET************************//////////////////////////////////////////////
			if( statusButton2 == ON )
            {
               	LCD_Position(0,10);
				LCD_PrintString("-SET- ");
				timerperiod = dakika * 6000;                                                             // There are problem this line  but change second when change period
			/*	LCD_Position(1, 10); There
				LCD_PrintNumber(timerperiod);*/
				Timer_1_WritePeriod(timerperiod);
				Control_Reg_1_Write(1); 
				Pin_Output_Write(ON);
				CyDelay(100u);
				Control_Reg_1_Write(0); // Timer Set
				Timer_1_Start();
			
				
				LCD_Position(1, 10);
				LCD_PrintNumber(current);*/
            }
////////////////////////////////****************************TİMER SET************************//////////////////////////////////////////////
			CapSense_ScanEnabledWidgets();		
}
        
////////////////////////////////****************************TİMER COUNTDOWN************************//////////////////////////////////////////////		
		
		current = Timer_1_ReadCounter();
		dakika_ = current / 6000;                                                                   // There are problem this line  but change second when change period
		
		if(dakika_ == (dakika_old-1))  
		{
			dakika_old = yeni;
			LCD_Position(1, 11);
			LCD_PrintString("  ");			
			LCD_Position(1, 11);
			
			LCD_PrintNumber(dakika_);
		}
		
////////////////////////////////****************************TİMER COUNTDOWN************************//////////////////////////////////////////////

////////////////////////////////****************************INTERRUPT************************//////////////////////////////////////////////
		if(flag == 1)
		{
			flag = 0;
			Timer_1_Stop();
			
			Pin_Output_Write(ON);
			CyDelay(100u);
			Pin_Output_Write(OFF);

			LCD_Position(0,10);
	
          	LCD_PrintString("-STOP-");
			
		}
		

		Pin_Output_Write(OFF);
		
		
    }    
}



